﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoxMove : MonoBehaviour
{
    Vector3 fromPos = Vector3.zero;
    Vector3 toPos = Vector3.zero;
    float lerpTime = 0;
    // Start is called before the first frame update
    void Start()
    {
        fromPos = this.transform.position + new Vector3(-2, 0, 0);
        toPos = this.transform.position + new Vector3(2, 0, 0);
    }

    // Update is called once per frame
    void Update()
    {
        lerpTime += 0.01f;
        if (lerpTime > 1)
        {
            lerpTime = 0;
        }

        this.transform.position = Vector3.Lerp(fromPos, toPos, lerpTime);
    }
}
