﻿using Qiyu.Sdk.Tool;
using System.Collections;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.Video;

public class MRCTest : MonoBehaviour
{
    public VideoPlayer videoPlayer;
    public AudioSource audioSource;
    public BoxMove boxMove;
    public Transform iPhone;

    private void Start()
    {
        if (QiyuPlatform.IsAndroid)
        {
            Vector2f size = new Vector2f();
            QiyuMRCPlugin.GetRenderSize(ref size);
            if (size.x > size.y)
            {
                iPhone.localEulerAngles = new Vector3(0, 0, 90);
            }
            Debug.LogFormat("GetRenderSize:{0}x{1}", (int)size.x, (int)size.y);
        }
    }

    public void OnButtonClick(GameObject btn)
    {
        Debug.Log("OnButtonClick:" + btn.name);
        if (btn.name == "MoveBox")
        {
            boxMove.enabled = true;
        }
        else if (btn.name == "PlayVideo")
        {
            videoPlayer.Play();
        }
        else if (btn.name == "PlayAudio")
        {
            audioSource.Play();
        }
    }
}
